Subject: snmpconf Removal of capMatch() function -> need new library registration mechanism

From: Steve Waldbusser <[email-masked]>
Date: Thu, 19 Jul 2001 16:24:04 -0700

The capMatch() accessor function has been removed because the data in
the capTable wasn't believed to be accurate enough for scripts to depend
on. This leaves a detail to resolve: we were using capMatch() to
register accessor function libraries.

Instead, I have re-written this to use roleMatch(). The text is as
follows:

"In order for a management station or a condition or action to
understand
if a certain library of functions is implemented, each library will
have a name that it registers in the role table as a characteristic of
the "0.0" element in the default context. Thus, conformance to a
library can be tested with the roleMatch library function (in the base
library) with the call roleMatch("libraryName", "0.0")."

Steve